import { type LockfileObject } from '@pnpm/lockfile.types';
import { type Project, type ProjectId, type ProjectManifest } from '@pnpm/types';
export interface CreateDeployFilesOptions {
    allProjects: Array<Pick<Project, 'manifest' | 'rootDirRealPath'>>;
    deployDir: string;
    lockfile: LockfileObject;
    lockfileDir: string;
    rootProjectManifest?: Pick<ProjectManifest, 'pnpm'>;
    selectedProjectManifest: ProjectManifest;
    projectId: ProjectId;
    rootProjectManifestDir: string;
}
export interface DeployFiles {
    lockfile: LockfileObject;
    manifest: ProjectManifest;
}
export declare function createDeployFiles({ allProjects, deployDir, lockfile, lockfileDir, rootProjectManifest, selectedProjectManifest, projectId, rootProjectManifestDir, }: CreateDeployFilesOptions): DeployFiles;
